@import '_variables';
@import '_fonts';

body{
  margin: 0px;
  padding: 0px;
  width: 100%;
  background: url(../img/back-contendor.png)50% repeat-y,$color-gris;
  background-attachment: fixed;
  background-size:cover;
  overflow-x: hidden;
}
h1,h2,h3,p{
  margin: 0;
  padding: 0;
}

header{
  width: 100vw;
  height: 60px;
  background: white;
  box-shadow: 0 0 20px black;
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 2;
  .btn-menu{
    width: 30px;
    height: 30px;
    background: url(../img/btn-menu.png)50% no-repeat;
    background-size: 100%;
    transition:all 0.1s ease-in-out;
    &:hover{
      cursor: pointer;
      transform: scale(0.9);
    }
    @media (max-width: 700px) {
      margin-left: 0;
    }
  }
  .logo{
    margin-left: 10px;
    height: 55px;
    @media (max-width: 700px) {
      display: none;
    }
  }
  h1{
    font-size: 2,7em;
    font-family: 'uniform-cond-u';
    color: $color-gris;
    margin-left: 40px;
    @media (max-width: 700px) {
      font-size: 1.2em;
      margin-left: 5px;
    }
  }
  @media (max-width: 700px) {
    padding-left: 0vw;
  }

}
// ESTILO DEL LOG

.log{
  height: 100%;
  min-width: 200px;
  width: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: auto;
  flex-wrap:wrap;
  box-shadow: -3px 0px 10px rgba($color: black, $alpha: 0.8);
  @media (max-width: 700px) {
    min-width: 100px;
  }
  p{
    margin: 0;
    padding: 0;
    font-size: 1em;
    font-family: 'source-r';
    color: $color-gris;
  }
  .log-out{
    width: 100%;
    margin: 0;
    padding: 3px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-top:solid $color-gris 1px;
    cursor: pointer;
    p{
      margin: 0;
      padding: 0;
      font-size: 10pt;
      font-family: 'source-r';  
    }
    img{
      height: 20px;
      margin-right: 2px;
    }
    &:hover{
      img{
        transform: scale(1.2);
      }
      p{
        color: $color-rojo-item;
      }
    }
  }
}
.img-calc{
  position: fixed;
  bottom: 30px;
  right: 10px;
  background:url(../img/elements.png)50% no-repeat;
  background-size: 100%;
  width: 360px;
  height: 300px;
  @media (max-width: 700px) {
    width: 200px;
    height: 150px;
  }
}
footer{
  bottom: 0;
  width: 100vw;
  height: auto;
  position: fixed;
  padding: 10px;
  bottom: 0;
  background: rgb(29, 29, 6);
  background: -moz-linear-gradient(top, rgb(29, 29, 2) 0%, rgba(60,60,57,1) 100%);
  background: -webkit-gradient(left top, left bottom, color-stop(0%, rgba(23,23,22,1)), color-stop(100%, rgba(60,60,57,1)));
  background: -webkit-linear-gradient(top, rgba(23,23,22,1) 0%, rgba(60,60,57,1) 100%);
  background: -o-linear-gradient(top, rgb(184, 184, 18) 0%, rgba(60,60,57,1) 100%);
  background: -ms-linear-gradient(top, rgba(23,23,22,1) 0%, rgba(60,60,57,1) 100%);
  background: linear-gradient(to bottom, rgba(23,23,22,1) 0%, rgba(60,60,57,1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#171716', endColorstr='#3c3c39', GradientType=0 );
  .cont_copy{
    width: 100%;
    text-align: center;
    p{
      font-family: 'uniform-cond-m';
      color: rgba($color: white, $alpha:0.7);
      font-weight: lighter;
      font-size: 8pt;
    }
    a{
      text-decoration: none;
      color: rgba($color: white, $alpha:0.9);
    }
  }
}


// ESTILO PARA LOS ITEMS
.contenedor{
  width: 100vw;
  display: flex;
  justify-content: center;
  margin-top:60px;
  padding: 0;
  padding-top:40px;
  @media (max-width: 700px) {
    padding-bottom: 100px;
  }
}
.cont-item{
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: center;
  align-content: center;
  padding: 0;
  margin: 0;
}
.item{
  width: 20%;
  min-height: 75px;
  height: auto;
  border: solid white 1px;
  border-radius: 10px;
  padding: 2%;
  position: relative;
  box-shadow: 0 10px 15px 2px rgba($color: #000000, $alpha: 0.6);
  transition: all 0.3s ease-in-out;
  margin: 23px 23px;
  @media (max-width: 700px) {
    width: 80%;
    margin: 23px 0px;
  }
  h2{
    padding: 0;
    margin: 0;
    color: white;
    font-family:'uniform-cond-m';
    font-size: 2em;
  }
  p{
    margin: 0;
    padding: 0;
    color: white;
    font-family:'uniform-cond-m';
    font-size: 1em;
    line-height: 1em;
  }
  .line{
    border-bottom: solid white 1px;
    width: 100%;
    margin: 5px 0px;
  }
  .num{
    width: 70px;
    height: 70px;
    position: absolute;
    right: 0;
    top: -40px;
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    h3{
      font-family: 'uniform-cond-u';
      font-size: 3em;
      color: #211067;
    }
    img{
      width: 100%;
    }
  }
  &:hover{
    cursor: pointer;
    transform: scale(1.08);
  }

}
.item-a{
  background: rgba($color: $color-azul-item, $alpha: 0.7);
  .num{
    background-image: url(../img/num-type-1.png);
  }
}
.item-b{
  background: rgba($color: $color-rojo-item, $alpha: 0.7);
  .num{
    background-image: url(../img/num-type-2.png);
  }
}

// ESTILO CUANDO FINALICE LA ACTIVIDAD
.item-ending{
  background: rgba($color: $color-amarillo-item, $alpha: 0.9)!important;
  color:$color-gris!important;
  p{
    color:$color-gris!important;
  }
  h2{
    color:$color-gris!important;
  }
  .line{
    border-bottom: solid $color-gris 1px!important;
  }
}


//ESTILO PARA EL NAV-MENU
.nav-menu{
  display: none;
  width: 30vw;
  height: 99vh;
  background: rgba($color: $color-gris, $alpha: 0.9);
  border: solid white 2px;
  border-left: none;
  position: absolute;
  box-shadow: 0 0 20px 5px black;
  z-index: 3;
  top: 0;
  left: 0;
  @media (max-width: 700px) {
    width: 90vw;
  }
  .name-unidad{
    background: white;
    padding: 10px;
    display: flex;
    align-items: center;
    .btn-menu-close{
      width: 40px;
      height: 40px;
      border-radius: 50%;
      background: url(../img/btn-menu-close.png)50% no-repeat;
      background-size: 100%;
      margin-right: 10px;
      margin-left: 5px;
      transition:all 0.3s ease-in-out;
      box-shadow: 0 0 10px 2px black inset;
      &:hover{
        cursor: pointer;
        transform: scale(0.9);
        box-shadow: 0 0 10px 7px black inset;
      }
    }
    h2{
      font-family:'uniform-cond-m';
      color: $color-gris;
      font-size: 2em;
    }
    .subtext{
      font-size: 0.8em;
      color: $color-rojo-item; 
    }

  }
  .cont-menu-items{
    ul{
      width: 100%;
      height: auto;
      margin: 0;
      padding: 0;
      li{
        margin: 0;
        padding: 15px 10px;
        color: white;
        text-decoration: none;
        list-style: none;
        font-family:'uniform-cond-m';
        border-bottom: solid white 1px;
        transition: all 0.2s ease-in-out;
        &:hover{
          background: $color-rojo-item;
          cursor: pointer;
        }
      }
    }
  }

}

//ESTILO CONT FLOAT

.cont-float{
  display: none;
  position: absolute;
  border: solid $color-gris;
  box-shadow: 0 0 10px black;
  background: rgba($color: white, $alpha: 0.9);
  top: 65px;
  left: 7%;
  max-width: 80%;
  min-height: 80vh;
  height: auto;
  padding: 15px;
  border-radius: 20px;
  @media (max-width: 700px) {
    left: 0%;
    max-width: 95%;
  }
  .encabezado{
    border-bottom: solid 2px $color-gris;
    margin-bottom: 10px;
    background: url(../img/back-contendor.png)50% repeat-y,$color-gris;
    background-attachment: fixed;
    background-size:cover;
    border-radius: 10px 10px 0 0;
    padding: 10px;
    h1{
      padding: 0;
      margin: 0;
      color: $color-rojo-item;
      font-family:'uniform-cond-m';
      font-size: 3em;
    }
    h3{
      padding: 0;
      margin: 0;
      color: white;
      font-family:'uniform-cond-m';
      font-size: 2em;
    }
  }
  .cuerpo{
    text-align: center;
    p{
      margin: 0;
      padding: 10px;
      color: $color-gris;
      font-family:'source-r';
      font-size: 1em;
      line-height: 1.4em;
      text-align: left;
    }
    img{
      width: 90%;
      margin:30px 0px;
    }
    .cont-video{
      width: 100;
      margin: 0 auto;
      padding: 20px;
      background: url(../img/back-contendor.png)50% repeat-y,$color-gris;
      background-attachment: fixed;
      background-size:cover;
      margin-top:10px;
      margin-bottom: 10px;
      margin-left:-10px;
      margin-right: -10px;
      box-shadow: 0 0 20px 10px black inset;
    }
  }
}